=== debian/changelog ===
k2pdfopt (2.51+ds-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.3.0
  * Bump debhelper compat to 12

 -- Yangfl <mmyangfl@gmail.com>  Mon, 07 Jan 2019 16:42:26 +0800

k2pdfopt (2.42+ds-1) unstable; urgency=medium

  * Initial release (Closes: #858606)

 -- Yangfl <mmyangfl@gmail.com>  Fri, 09 Mar 2018 15:22:29 +0800
