=== debian/control ===
Source: k2pdfopt
Section: utils
Priority: optional
Maintainer: Yangfl <mmyangfl@gmail.com>
Build-Depends:
 debhelper (>= 12~),
 cmake,
 pkg-config,
 zlib1g-dev,
 libpng-dev,
 libjpeg-dev,
 libturbojpeg0-dev,
 libfreetype6-dev,
 libopenjp2-7-dev,
 libdjvulibre-dev,
 libleptonica-dev,
# libmupdf-dev,
Standards-Version: 4.3.0
Homepage: http://www.willus.com/k2pdfopt/

Package: k2pdfopt
Architecture: any
Depends:
 ghostscript,
 ${shlibs:Depends},
 ${misc:Depends},
Description: PDF Reflow tool
 K2pdfopt optimizes PDF/DJVU files for mobile e-readers (e.g. the Kindle) and
 smartphones. It works well on multi-column PDF/DJVU files and can re-flow text
 even on scanned PDF files. It can also be used as a general PDF copying/
 cropping/re-sizing/OCR-ing manipulation tool. It can generate native or
 bitmapped PDF output, with an optional OCR layer.
