=== debian/watch ===
version=4
opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,repacksuffix=+ds \
http://www.willus.com/k2pdfopt/src/ \
  k2pdfopt_v([\d\.]+.?)_src\.zip debian uupdate
