## k2pdfopt 2.52+ds

=== debian/changelog ===
k2pdfopt (2.52+ds-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.5.0
  * Bump debhelper compat to 13
  * Add upstream metadata

 -- Yangfl <mmyangfl@gmail.com>  Sun, 14 Jun 2020 12:07:32 +0800
