## k2pdfopt 2.53%2Bds

=== debian/changelog ===
k2pdfopt (2.53+ds-1build1) jammy; urgency=medium

  * No-change rebuild against libgsl27

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 07 Dec 2021 17:33:13 +0000

k2pdfopt (2.53+ds-1) unstable; urgency=medium

  * New upstream release

 -- Yangfl <mmyangfl@gmail.com>  Wed, 26 Aug 2020 23:01:41 +0800
