=== willuslib/CMakeLists.txt ===
--- 
+++ 
@@ -1,15 +1,18 @@
 project(k2pdfopt C)
 cmake_minimum_required(VERSION 2.6)
+#
+# Last update 31 May 2020 willus.com
+#
 
 include_directories(..)
 
 set(WILLUSLIB_SRC
     ansi.c array.c bmp.c bmpdjvu.c bmpmupdf.c dtcompress.c filelist.c
     fontdata.c fontrender.c gslpolyfit.c linux.c math.c mem.c ocr.c
-    ocrjocr.c ocrtess.c pdfwrite.c point2d.c render.c strbuf.c string.c
+    ocrgocr.c ocrtess.c pdfwrite.c point2d.c render.c strbuf.c string.c
     token.c wfile.c wgs.c wgui.c willusversion.c win.c winbmp.c
-    wincomdlg.c winmbox.c winshell.c wmupdf.c wmupdfinfo.c wpdf.c wsys.c
-    wzfile.c wleptonica.c
+    wincomdlg.c wininet.c winmbox.c winshell.c winshellwapi.c
+    wleptonica.c wmupdf.c wmupdfinfo.c wpdf.c wsys.c wzfile.c
 )
 # ocr.c  
 # win.c  winbmp.c winmbox.c wincomdlg.c wgui.c winshell.c
