=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Yangfl <mmyangfl@gmail.com>
 Build-Depends:
- debhelper (>= 12~),
+ debhelper-compat (= 13),
  cmake,
  pkg-config,
  zlib1g-dev,
@@ -14,9 +14,13 @@
  libopenjp2-7-dev,
  libdjvulibre-dev,
  libleptonica-dev,
+ libgsl-dev,
 # libmupdf-dev,
-Standards-Version: 4.3.0
+Rules-Requires-Root: no
+Standards-Version: 4.5.0
 Homepage: http://www.willus.com/k2pdfopt/
+Vcs-Git: https://salsa.debian.org/yangfl-guest/k2pdfopt.git
+Vcs-Browser: https://salsa.debian.org/yangfl-guest/k2pdfopt
 
 Package: k2pdfopt
 Architecture: any
