## k2pdfopt 2.54+ds

=== willuslib/CMakeLists.txt ===
--- 
+++ 
@@ -9,10 +9,11 @@
 set(WILLUSLIB_SRC
     ansi.c array.c bmp.c bmpdjvu.c bmpmupdf.c dtcompress.c filelist.c
     fontdata.c fontrender.c gslpolyfit.c linux.c math.c mem.c ocr.c
-    ocrgocr.c ocrtess.c pdfwrite.c point2d.c render.c strbuf.c string.c
-    token.c wfile.c wgs.c wgui.c willusversion.c win.c winbmp.c
-    wincomdlg.c wininet.c winmbox.c winshell.c winshellwapi.c
-    wleptonica.c wmupdf.c wmupdfinfo.c wpdf.c wsys.c wzfile.c
+    ocrgocr.c ocrtess.c ocrwords.c pdffonts.c pdfwrite.c point2d.c
+    render.c strbuf.c string.c token.c wfile.c wgs.c wgui.c
+    willusversion.c win.c winbmp.c wincomdlg.c wininet.c winmbox.c
+    winshell.c winshellwapi.c wleptonica.c wmupdf.c wmupdfinfo.c wpdf.c
+    wsys.c wzfile.c
 )
 # ocr.c  
 # win.c  winbmp.c winmbox.c wincomdlg.c wgui.c winshell.c
