=== debian/changelog ===
k2pdfopt (2.54+ds-1) unstable; urgency=medium

  * New upstream release
  * Workaround buggy PDF page counter (Closes: #945008)
  * Bump Standards-Version to 4.6.2

 -- Yangfl <mmyangfl@gmail.com>  Fri, 20 Jan 2023 19:01:03 +0800
