=== debian/control ===
--- 
+++ 
@@ -10,15 +10,15 @@
  libpng-dev,
  libjpeg-dev,
  libturbojpeg0-dev,
- libfreetype6-dev,
+ libfreetype-dev,
  libopenjp2-7-dev,
  libdjvulibre-dev,
  libleptonica-dev,
  libgsl-dev,
 # libmupdf-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
-Homepage: http://www.willus.com/k2pdfopt/
+Standards-Version: 4.6.2
+Homepage: https://www.willus.com/k2pdfopt/
 Vcs-Git: https://salsa.debian.org/yangfl-guest/k2pdfopt.git
 Vcs-Browser: https://salsa.debian.org/yangfl-guest/k2pdfopt
