## k2pdfopt 2.55%2Bds

=== debian/watch ===
version=4
opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,repacksuffix=+ds \
https://www.willus.com/k2pdfopt/src/ \
  k2pdfopt_v([\d\.]+.?)_src\.zip debian uupdate
