## k2pdfopt 2.55%2bds

=== debian/watch ===
Version: 5
Source: https://www.willus.com/k2pdfopt/src/
Matching-Pattern: k2pdfopt_v([\d\.]+.?)_src\.zip
Dversion-Mangle: auto
Repacksuffix: +ds
