=== debian/changelog ===
k2pdfopt (2.55+ds-4) unstable; urgency=medium

  * Fix FTBFS with CMake 4 (Closes: #1113066)
  * Bump Standards-Version to 4.7.2

 -- Yangfl <mmyangfl@gmail.com>  Sun, 14 Sep 2025 13:26:43 +0800

k2pdfopt (2.55+ds-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Leptonlib transition.

 -- Jeff Breidenbach <jab@debian.org>  Sat, 05 Oct 2024 02:59:43 +0000

k2pdfopt (2.55+ds-3) unstable; urgency=medium

  * Build with mupdf (Closes: #935297)
  * Bump Standards-Version to 4.7.0

 -- Yangfl <mmyangfl@gmail.com>  Tue, 28 May 2024 01:49:28 +0800

k2pdfopt (2.55+ds-2) unstable; urgency=medium

  * Fix FTBFS (Closes: #1066717)

 -- Yangfl <mmyangfl@gmail.com>  Thu, 21 Mar 2024 14:02:18 +0800

k2pdfopt (2.55+ds-1) unstable; urgency=medium

  * New upstream release

 -- Yangfl <mmyangfl@gmail.com>  Tue, 06 Feb 2024 22:34:42 +0800
