=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends:
  debhelper-compat (= 13),
  cmake,
- pkg-config,
+ pkgconf,
  zlib1g-dev,
  libpng-dev,
  libjpeg-dev,
@@ -15,9 +15,13 @@
  libdjvulibre-dev,
  libleptonica-dev,
  libgsl-dev,
-# libmupdf-dev,
+ libmupdf-dev,
+ libgumbo-dev,
+ libmujs-dev,
+ libjbig2dec0-dev,
+ libharfbuzz-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://www.willus.com/k2pdfopt/
 Vcs-Git: https://salsa.debian.org/yangfl-guest/k2pdfopt.git
 Vcs-Browser: https://salsa.debian.org/yangfl-guest/k2pdfopt
